Skip to main content
POST
/
projects
/
{project_reference}
/
embeddings
Upsert embeddings
curl --request POST \
  --url https://api.veryfront.com/projects/{project_reference}/embeddings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "chunk_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "vectors": [
    [
      123
    ]
  ],
  "model": {
    "name": "<string>",
    "provider": "<string>",
    "dimension": 123
  }
}
'
{
  "embeddings": [
    {
      "id": "<string>",
      "model": "<string>",
      "status": "ready",
      "created_at": "<string>"
    }
  ],
  "created": 123,
  "updated": 123
}

Documentation Index

Fetch the complete documentation index at: https://veryfront.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required

Project ID or slug.

Body

application/json
chunk_ids
string<uuid>[]
required

Chunk IDs to upsert embeddings for.

Required array length: 1 - 100 elements
vectors
number[][]
required

Embedding vectors aligned by index with chunk_ids.

Required array length: 1 - 100 elements
model
object
required

Response

Upsert results.

embeddings
object[]
required

Embeddings that were created or updated.

created
number
required

Number of embeddings created.

updated
number
required

Number of embeddings updated.